CyberHosting

Attempting Upgrading and Now CyberPanel Is Inaccessible. Installation Error Regarding Disk Space.

edited May 5 in Bug Report
I followed the normal route to upgrade CyberPanel. As the upgrade progressed, I noticed that it stated that it was downloading 1.8.3 (awesome!). However, as it progressed, I got the following error message: "ERROR: Could not install packages due to an EnvironmentError: [Errno 28] No space left on device." (Sad panda) My server has 40 GB and 360 GB of free space.

This may be related to an LSPHP bug in the latest release of OpenLitespeed as described at the link below. LSPHP timeouts out with relatively small files uploads now.
https://forum.openlitespeed.org/threads/upload-limit-not-respected-in-php-with-latest-release-of-openlitespeed.3730/

Please help! Thanks!

Comments

  • *40 GB used and 360 GB free space
  • You must wait for an official announcement before upgrading, I will get this issue checked.
  • edited May 6
  • edited May 6
    I used to official method for upgrading as described in the documentation. Somehow, upgrade.py was mistakenly pointing to 1.8.3 as of at least yesterday morning EST. So for anyone who ran the upgrade.py between then (and possibly earlier) and now, their installation was misdirected to 1.8.3. I did not intentionally or willfully attempt to install 1.8.3 in any way. I just opened a ticket, by the way.
  • Do you have an auto script that runs upgrade.py if there is a version change? I was saying that there is no official announcement of the new version yet, kindly wait before running upgrade (if you have an auto script its a different scenario then).

    Your query on OpenLiteSpeed forums got an answer too.
  • edited May 6
    No, I don't have an auto-script. I had simply run following the steps exactly as described here:

    https://cyberpanel.net/docs/upgrading-cyberpanel/

    What I had been told before here was if an upgrade ran into issues (I had theorized my upload limit may have been caused by a CyberPanel upgrade) to re-run the upgrade following the steps outlined there. Since fixes have often been added between version releases, I thought I could do this as I had done as instructed before. The problem is I cannot access CyberPanel now at all.
  • PS: Just a note to everyone, OpenLiteSpeed (and possibly LiteSpeed in general) has a bug that caused this.
  • LSPHP is the cause. So if you run autoupdates like I do (I run the following cron jobs):

    0 3 * * 2 /bin/yum -y update
    0 4 * * 2 /sbin/shutdown -r now

    ...then you are impacted and your system is suffering from this bug.
  • LiteSpeed patched the issue yesterday in a hotfix update. Update and your issues should be resolved.
  • Were you able to solve the problem with these codes below?

    / bin / yum -y update
    / sbin / shutdown -r now

    Help me please. Do not leave my panel anymore: 8090
  • If you are still experiencing this issue, I cannot help you. The fix was released long ago.
Sign In or Register to comment.
CyberHosting CyberPanel Discord

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!